> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Payable Register File (file upload): Yardi

POST https://api.propexo.com/v1/payable-registers/yardi/{payable_register_id}/file-upload
Content-Type: application/json

Create Payable Register File: Yardi. This endpoint will only accept png image files.| Interface        | Method                     |
| ---------------- | -------------------------- |
| Vendor Invoicing | ImportInvoiceRegisterImage |Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Reference: https://docs.propexo.com/api-reference/yardi/invoices/create-payable-register-file-file-upload-yardi

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `payable_register_id` (string, required) — The Propexo unique identifier for the payable register

### Body (application/json)

This endpoint expects a _v1_payable-registers_yardi_{payable_register_id}_file-upload_post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `attachment` (V1PayableRegistersYardiPayableRegisterIdFileUploadPostInputAttachment, required) — Base64 value for a PNG image to attach to the Payable Register.
- `vendor_id` (string, optional) — The Propexo unique identifier for the vendor
- `page_type` (enum, optional) — The page type of the image to attach to the Payable Register. If not provided, the back page will be used.
  - Allowed values: `FRONT`, `BACK`
- `page_number` (double, optional) — The page number of the image to attach to the Payable Register. If not provided, page number 1 will be used.
- `page_count` (double, optional) — The page count of the image to attach to the Payable Register. If not provided, page number 1 will be used.

## Response

### 200

Successful response

- `meta` (V1PayableRegistersYardiPayableRegisterIdFileUploadPostOutputMeta, required)
- `result` (V1PayableRegistersYardiPayableRegisterIdFileUploadPostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1PayableRegistersYardiPayableRegisterIdFileUploadPostInputAttachment

Base64 value for a PNG image to attach to the Payable Register.

- `file_data` (string, required)

### V1PayableRegistersYardiPayableRegisterIdFileUploadPostOutputMeta

- `job_id` (string, required)

### V1PayableRegistersYardiPayableRegisterIdFileUploadPostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `payable_register_id` (string, required) — The Propexo unique identifier for the payable register
- `vendor_id` (string, required, nullable)
- `attachment` (V1PayableRegistersYardiPayableRegisterIdFileUploadPostOutputResultAttachment, required)
- `page_type` (enum, required)
  - Allowed values: `FRONT`, `BACK`
- `page_number` (double, required, nullable)
- `page_count` (double, required, nullable)

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1PayableRegistersYardiPayableRegisterIdFileUploadPostOutputResultAttachment

- `file_data` (string, optional, nullable)

## Examples

**Request**

```json
{
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
  "attachment": {
    "file_data": "iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9h"
  }
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job_1234567890abcdef"
  },
  "result": {
    "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
    "payable_register_id": "pr_abcdef1234567890",
    "vendor_id": "vendor_0987654321fedcba",
    "attachment": {
      "file_data": "iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9h"
    },
    "page_type": "FRONT",
    "page_number": 1,
    "page_count": 1
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/payable-registers/yardi/payable_register_id/file-upload"

payload = {
    "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
    "attachment": { "file_data": "iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9h" }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/payable-registers/yardi/payable_register_id/file-upload';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg_9f8b7c6d5e4a3b2c1d0e","attachment":{"file_data":"iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9h"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/payable-registers/yardi/payable_register_id/file-upload"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\",\n  \"attachment\": {\n    \"file_data\": \"iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9h\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/payable-registers/yardi/payable_register_id/file-upload")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\",\n  \"attachment\": {\n    \"file_data\": \"iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9h\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/payable-registers/yardi/payable_register_id/file-upload")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\",\n  \"attachment\": {\n    \"file_data\": \"iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9h\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/payable-registers/yardi/payable_register_id/file-upload', [
  'body' => '{
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
  "attachment": {
    "file_data": "iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9h"
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/payable-registers/yardi/payable_register_id/file-upload");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\",\n  \"attachment\": {\n    \"file_data\": \"iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9h\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
  "attachment": ["file_data": "iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9h"]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/payable-registers/yardi/payable_register_id/file-upload")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```